package data;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import util.EntityListener;

@Entity
@Table(name = "TRU_SLAVE")
@SequenceGenerator(name="SEQ_TRU", sequenceName = "SEQ_TRU", allocationSize=1)
@EntityListeners({EntityListener.class})
public class Slave {
	@Id
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator = "SEQ_TRU")
	public Integer id = null;

	@ManyToOne(fetch=FetchType.LAZY)
	public Master master;

	public Integer getId() {
		return id;
	}
	
	@Override
	public String toString() {
		return super.toString()+" id = "+id+" master = "+master;
	}
}
