package util;

import javax.persistence.PostLoad;
import javax.persistence.PostPersist;
import javax.persistence.PostRemove;
import javax.persistence.PostUpdate;
import javax.persistence.PrePersist;
import javax.persistence.PreRemove;
import javax.persistence.PreUpdate;

public class EntityListener {
	public static SilentEntityListener delegee  = new SilentEntityListener();

	/** 
	 * delegate the blessed event ...
	 * @param o object receiving the event
	 */
	@PrePersist
	protected void prePersist(Object o) {
		delegee.prePersist(o);
	}

	/** 
	 * delegate the blessed event ...
	 * @param o object receiving the event
	 */
	@PostPersist
	protected void postPersist(Object o) {
		delegee.postPersist(o);
	}

	/** 
	 * delegate the blessed event ...
	 * @param o object receiving the event
	 */
	@PreRemove
	protected void preRemove(Object o) {
		delegee.preRemove(o);
	}

	/** 
	 * delegate the blessed event ...
	 * @param o object receiving the event
	 */
	@PostRemove
	protected void postRemove(Object o) {
		delegee.postRemove(o);
	}

	/** 
	 * delegate the blessed event ...
	 * @param o object receiving the event
	 */
	@PreUpdate
	protected void preUpdate(Object o) {
		delegee.preUpdate(o);
	}

	/** 
	 * delegate the blessed event ...
	 * @param o object receiving the event
	 */
	@PostUpdate
	protected void postUpdate(Object o) {
		delegee.postUpdate(o);
	}

	/** 
	 * delegate the blessed event ...
	 * @param o object receiving the event
	 */
	@PostLoad
	protected void postLoad(Object o) {
		delegee.postLoad(o);
	}
}
